Package org.pgpainless.key.modification.secretkeyring

# Interface SecretKeyRingEditorInterface.WithKeyRingEncryptionSettings

Enclosing interface:
  `SecretKeyRingEditorInterface`

public static interface SecretKeyRingEditorInterface.WithKeyRingEncryptionSettings

## Method Summary

Modifier and Type
Method
Description
`SecretKeyRingEditorInterface.WithPassphrase`
`withCustomSettings(KeyRingProtectionSettings settings)`
Set custom settings for the symmetric passphrase encryption.
`SecretKeyRingEditorInterface.WithPassphrase`
`withSecureDefaultSettings()`
Set secure default settings for the symmetric passphrase encryption.

## Method Details

### withSecureDefaultSettings

SecretKeyRingEditorInterface.WithPassphrase withSecureDefaultSettings()
Set secure default settings for the symmetric passphrase encryption. Note that this obviously has no effect if you decide to set `SecretKeyRingEditorInterface.WithPassphrase.toNoPassphrase()`.

Returns:
  next builder step

### withCustomSettings

SecretKeyRingEditorInterface.WithPassphrase withCustomSettings(KeyRingProtectionSettings settings)
Set custom settings for the symmetric passphrase encryption.

Parameters:
  `settings` - custom settings
Returns:
  next builder step